Bug 1278456 - WebUI:VMRC: Windows: Firefox and IE throws "TypeError: $.browser is undefined" error
WebUI:VMRC: Windows: Firefox and IE throws "TypeError: $.browser is undefined...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Martin Hradil
Ramesh A
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 09:28 EST by Ramesh A
Modified: 2015-12-08 08:44 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:44:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Win-FF-and-IE (26.38 KB, image/png)
2015-11-05 09:28 EST, Ramesh A
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 12:58:09 EST

  None (edit)
Description Ramesh A 2015-11-05 09:28:24 EST
Created attachment 1090103 [details]
Win-FF-and-IE

Description of problem:
"TypeError: $.browser is undefined" error is displayed for FF(41.02) and IE(11) browser in Windows vm

Version-Release number of selected component (if applicable):
5.5.0.9-beta2.20151102161742_5530c9a

How reproducible:
100%

Steps to Reproduce:
1. Deploy an appliance
2. Manage v55
3. Navigate to Infrastructure ==> Virtual Machines ==> Select an virtual machine and click on the vmrc link

Actual results:
"TypeError: $.browser is undefined" error is displayed for FF(41.02) and IE(11) browser in Windows vm. Refer the screenshot for more details

Expected results:
Should display the vmrc console

Additional info:
Comment 3 CFME Bot 2015-11-09 10:15:22 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/0761a145421292b8322acab7016af20574c43393

commit 0761a145421292b8322acab7016af20574c43393
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Fri Nov 6 15:19:15 2015 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Mon Nov 9 13:57:29 2015 +0000

    console_vmrc - use jQuery 1.8.3
    
    ..because in IE, we need to force IE8 mode, which makes modern jQuery incompatible
    We force 1.8 which is the last one to contain $.browser, used there.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1278456

 app/views/vm_common/console_vmrc.html.haml    | 3 ++-
 vendor/assets/javascripts/jquery-1.8.3.min.js | 2 ++
 2 files changed, 4 insertions(+), 1 deletion(-)
 create mode 100644 vendor/assets/javascripts/jquery-1.8.3.min.js
Comment 5 CFME Bot 2015-11-12 15:31:58 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=c49e3fe2a6f88d25f5cb89305e4d5a387fd19c7c

commit c49e3fe2a6f88d25f5cb89305e4d5a387fd19c7c
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Fri Nov 6 15:19:15 2015 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Wed Nov 11 16:10:21 2015 +0000

    console_vmrc - use jQuery 1.8.3
    
    ..because in IE, we need to force IE8 mode, which makes modern jQuery incompatible
    We force 1.8 which is the last one to contain $.browser, used there.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1278456
    (cherry picked from commit 0761a145421292b8322acab7016af20574c43393)

 app/views/vm_common/console_vmrc.html.haml    | 3 ++-
 vendor/assets/javascripts/jquery-1.8.3.min.js | 2 ++
 2 files changed, 4 insertions(+), 1 deletion(-)
 create mode 100644 vendor/assets/javascripts/jquery-1.8.3.min.js
Comment 6 CFME Bot 2015-11-12 15:32:34 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=fec3d10849a43548231c4b4b04550bf1b11f3d5d

commit fec3d10849a43548231c4b4b04550bf1b11f3d5d
Merge: fa2e637 1b85879
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Nov 11 13:22:52 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Wed Nov 11 13:22:52 2015 -0500

    Merge branch 'console-vmrc-55' into '5.5.z'
    
    console_vmrc - replace $.browser dependent event handler attachment with jQuery and fix bad js escape
    
    [PR#5312](https://github.com/ManageIQ/manageiq/pull/5312)
    fixes 2 bugs:
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1278456
    https://bugzilla.redhat.com/show_bug.cgi?id=1278459
    
    clean cherry pick
    
    See merge request !410

 app/views/vm_common/console_vmrc.html.haml    | 10 ++++++----
 vendor/assets/javascripts/jquery-1.8.3.min.js |  2 ++
 2 files changed, 8 insertions(+), 4 deletions(-)
Comment 7 Ramesh A 2015-11-19 09:06:06 EST
Good to go.  Verified and working fine in 5.5.0.11-rc1.20151117182049_653c0d4
Comment 9 errata-xmlrpc 2015-12-08 08:44:38 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.